Developer Dispatch » MX04 Publish Template Broken

MX04 Publish Template Broken

I was just shocked to see that if you publish as “8.5” in MX 2004 and use the “Detect Shockwave” HTML template setting, you get JavaScript on the HTML that is incapable of dealing with Shockwave version 10 on non-IE browsers. In other words, it thinks that if you have version 10.1, you have version 0 (one character to the left of the dot). If you publish as “10” you get new JavaScript that looks for version 10, but only 10.
So if you need some JavaScript to detect version 8.5 or better, as well as 10, then you’ll need to roll your own.

Posted on December 6, 2004 at 10:30 am by Gary Rosenzweig · Permalink
In: General